org.richfaces.component

## Class AbstractList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.AbstractList

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.ui.iteration.IterationStateHolder
  Direct Known Subclasses:
    UIList

      public abstract class AbstractList
      extends org.richfaces.component.UISequence

  The <rich:list> component renders a list of items. The list can be an numerically ordered list, an un-ordered bullet-point list, or a data definition list. The component uses a data model for managing the list items, which can be updated dynamically.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UISequence

      `org.richfaces.component.UISequence.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `org.richfaces.component.UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TERM`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `COMPONENT_FAMILY, COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
    `protected Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
    `abstract String` | `getDir()`
    `abstract String` | `getLang()`
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getOnrowclick()`
    `abstract String` | `getOnrowdblclick()`
    `abstract String` | `getOnrowkeydown()`
    `abstract String` | `getOnrowkeypress()`
    `abstract String` | `getOnrowkeyup()`
    `abstract String` | `getOnrowmousedown()`
    `abstract String` | `getOnrowmousemove()`
    `abstract String` | `getOnrowmouseout()`
    `abstract String` | `getOnrowmouseover()`
    `abstract String` | `getOnrowmouseup()`
    `abstract String` | `getRowClass()` Assigns one or more space-separated CSS class names to the list rows
    `abstract String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `abstract String` | `getStyle()`
    `abstract String` | `getStyleClass()`
    `javax.faces.component.UIComponent` | `getTerm()`
    `abstract String` | `getTitle()`
    `abstract ListType` | `getType()` The type of the list: unordered (default), ordered, definitions

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TERM

          public static final String TERM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractList

          public AbstractList()

  - ### Method Detail

    - #### dataChildren

          protected Iterator<javax.faces.component.UIComponent> dataChildren()

      Overrides:
        `dataChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### fixedChildren

          protected Iterator<javax.faces.component.UIComponent> fixedChildren()

      Overrides:
        `fixedChildren` in class `org.richfaces.component.UIDataAdaptor`

    - #### getType

          public abstract ListType getType()

      The type of the list: unordered (default), ordered, definitions

    - #### getTerm

          public javax.faces.component.UIComponent getTerm()

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnrowclick

          public abstract String getOnrowclick()

    - #### getOnrowdblclick

          public abstract String getOnrowdblclick()

    - #### getOnrowmousedown

          public abstract String getOnrowmousedown()

    - #### getOnrowmouseup

          public abstract String getOnrowmouseup()

    - #### getOnrowmouseover

          public abstract String getOnrowmouseover()

    - #### getOnrowmousemove

          public abstract String getOnrowmousemove()

    - #### getOnrowmouseout

          public abstract String getOnrowmouseout()

    - #### getOnrowkeypress

          public abstract String getOnrowkeypress()

    - #### getOnrowkeydown

          public abstract String getOnrowkeydown()

    - #### getOnrowkeyup

          public abstract String getOnrowkeyup()

    - #### getStyle

          public abstract String getStyle()

    - #### getStyleClass

          public abstract String getStyleClass()

    - #### getTitle

          public abstract String getTitle()

    - #### getDir

          public abstract String getDir()

    - #### getLang

          public abstract String getLang()

    - #### getRowClasses

          public abstract String getRowClasses()

      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.

    - #### getRowClass

          public abstract String getRowClass()

      Assigns one or more space-separated CSS class names to the list rows

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.